# $Revision: 1.11 $, $Date: 2004/12/27 14:10:16 $
%define		zope_subname	fcForum
Summary:	Message Board Product for Zope
Summary(pl):	Forum dla Zope
Name:		Zope-%{zope_subname}
Version:	2.0.7
Release:	3
License:	ZPL 2.0
Group:		Development/Tools
Source0:	http://www.genixsys.com/files/%{zope_subname}-2-0-7.tgz
# Source0-md5:	159dedced08004e140c516041f6954bc
URL:		http://www.genixsys.com/forum_dev/index_html
%pyrequires_eq	python-modules
Requires:	Zope
Requires:	Zope-CookieCrumbler
Requires(post,postun):  /usr/sbin/installzopeproduct
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Message Board Product for Zope.

%description -l pl
Forum dla Zope.

%prep
%setup -q -n %{zope_subname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af {media,www,*.py,refresh.txt,version.txt} $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname} 
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc filelist.txt readme.txt
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-fcForum.spec,v $
Revision 1.11  2004/12/27 14:10:16  saq
- release 3 for rebuild with python 2.4

Revision 1.10  2004/08/10 19:34:36  ciesiel
- up rel. for build

Revision 1.9  2004/07/28 08:03:21  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.8  2003/12/17 09:24:37  ciesiel
- upgraded to 2.0.7 version

Revision 1.7  2003/12/03 17:38:55  ciesiel
- added missing files

Revision 1.6  2003/11/17 11:37:40  ciesiel
- added req. in %post and %postun

Revision 1.5  2003/11/16 16:35:15  jajcus
- install in %{_datadir}/%{name}
- installzopeproduct in %post/%postun

Revision 1.4  2003/11/12 07:39:23  ciesiel
- upgraded to 2.0.5 version
- changed URL

Revision 1.3  2003/10/07 10:14:13  qboosh
- cleanups/simplifications

Revision 1.2  2003/10/07 08:36:06  qboosh
- cleanups

Revision 1.1  2003/10/05 19:58:30  ciesiel
- initial release
